package com.plannaplan.responses.models;

import com.plannaplan.entities.User;

import io.swagger.annotations.ApiModel;

@ApiModel(description = "Response shows information about user.", value = "UserResponse")
public class UserResponse {

    private Long id;
    private String name;
    private String surname;
    private String email;

    public UserResponse(User user) {
        this.id = user.getId();
        this.name = user.getName();
        this.surname = user.getSurname();
        this.email = user.getEmail();
    }

    public String getEmail() {
        return email;
    }

    public String getSurname() {
        return surname;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

}
