package com.plannaplan.responses.models;

import static org.junit.Assert.assertTrue;

import java.util.Arrays;
import java.util.List;

import com.plannaplan.entities.Groups;

import org.junit.Test;

public class CourseWithGroupsResponseTest {
 
    @Test public void shouldCreateInstance(){
        
        final List<GroupDefaultResponse> classes = Arrays.asList(new GroupDefaultResponse(new Groups()));

        final List<GroupDefaultResponse> lectures = Arrays.asList(new GroupDefaultResponse(new Groups()));

        final CourseWithGroupsResponse<GroupDefaultResponse> instance = new CourseWithGroupsResponse<>(classes,lectures);

        assertTrue(instance.getClasses().get(0) instanceof GroupDefaultResponse); 
        assertTrue(instance.getLectures().get(0) instanceof GroupDefaultResponse); 

        }

    
}
