package com.plannaplan.responses.models;

import static org.junit.jupiter.api.Assertions.assertTrue;

import com.plannaplan.entities.Course;

import org.junit.Test;

public class CoursesWithGroupsResponseTest {

    @Test
    public void shouldMapCourseToResponseWithGroupsIncluded() {
        final CoursesWithGroupsResponse response = new CoursesWithGroupsResponse(
                new Course("Programowanie funkcyjne", "xd"));

        assertTrue(response.getName() == "Programowanie funkcyjne");
        assertTrue(response.getClasses().size() == 0);
        assertTrue(response.getLectures().size() == 0);
    }
}
