package com.plannaplan.responses.models;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;

@ApiModel(description = "Response shows information about groups to given course.", value = "CourseWithGroupsResponse")
public class CourseWithGroupsResponse <T> {

    private List<T> lectures = new ArrayList<>();
    private List<T> classes = new ArrayList<>();

    public CourseWithGroupsResponse(List<T> classes, List<T> lectures ){
        this.lectures = lectures;
        this.classes = classes;
    }

    public List<T> getClasses() {
        return this.classes;
    }

    public List<T> getLectures() {
        return this.lectures;
    }

}